/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.findanyexample;

import java.util.Arrays;
import java.util.List;
import java.util.Optional;

/**
 *
 * @author omozegieaziegbe
 */
public class FindAnyExample {

    public static void main(String[] args) {
        List<String> names = Arrays.asList("Thomas", "Frank", "Charlie", "Diana");

        // Using findAny() to get any name from the stream
        Optional<String> anyName = names.stream()
                                         .filter(name -> name.startsWith("C"))
                                         .findAny();

        anyName.ifPresent(System.out::println); 
    }
}
