/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.findanyexample;

import java.util.Arrays;
import java.util.List;

/**
 *
 * @author omozegieaziegbe
 */
public class AnyMatchExample {

    public static void main(String[] args) {
        List<String> names = Arrays.asList("Thomas", "Frank", "Charlie", "Diana");

        // Using anyMatch() to check if any name starts with 'C'
        boolean hasNameStartingWithC = names.stream()
                .anyMatch(name -> name.startsWith("C"));

        System.out.println("Any name starts with 'C': " + hasNameStartingWithC);
    }
}
